Package org.springframework.security.web.access

# Class IpAddressAuthorizationManager

java.lang.Object
org.springframework.security.web.access.IpAddressAuthorizationManager

All Implemented Interfaces:
  `org.springframework.security.authorization.AuthorizationManager<RequestAuthorizationContext>`

public final class IpAddressAuthorizationManager extends Object implements org.springframework.security.authorization.AuthorizationManager<RequestAuthorizationContext>
A `AuthorizationManager`, that determines if the current request contains the specified address or range of addresses

Since:
  6.3

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.authorization.AuthorizationDecision`
`check(Supplier<org.springframework.security.core.Authentication> authentication, RequestAuthorizationContext requestAuthorizationContext)`
`static IpAddressAuthorizationManager`
`hasIpAddress(String ipAddress)`
Creates an instance of `IpAddressAuthorizationManager` with the provided IP address.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.authorization.AuthorizationManager

`authorize, verify`

## Method Details

### hasIpAddress

public static IpAddressAuthorizationManager hasIpAddress(String ipAddress)
Creates an instance of `IpAddressAuthorizationManager` with the provided IP address.

Parameters:
  `ipAddress` - the address or range of addresses from which the request must
Returns:
  the new instance

### check

public org.springframework.security.authorization.AuthorizationDecision check(Supplier<org.springframework.security.core.Authentication> authentication, RequestAuthorizationContext requestAuthorizationContext)

Specified by:
  `check` in interface `org.springframework.security.authorization.AuthorizationManager<RequestAuthorizationContext>`